// Copyright 2020-2022 Buf Technologies, Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by protoc-gen-go-api. DO NOT EDIT.

package registryv1alpha1api

import (
	context "context"
	v1alpha1 "github.com/bufbuild/buf/private/gen/proto/go/buf/alpha/registry/v1alpha1"
)

// WebhookService exposes the functionality for a caller to
// create/delete/list Webhooks for a given repository.
type WebhookService interface {
	// Create a webhook.
	CreateWebhook(
		ctx context.Context,
		webhookEvent []v1alpha1.WebhookEvent,
		ownerName string,
		repositoryName string,
		callbackUrl string,
	) (webhookSubscriptionId string, err error)
	// Delete a webhook.
	DeleteWebhook(ctx context.Context, webhookSubscriptionId string) (err error)
	// Lists the webhooks for a given repository.
	ListWebhooks(
		ctx context.Context,
		repositoryName string,
		ownerName string,
		pageToken string,
	) (subscribedWebhooks []*v1alpha1.SubscribedWebhook, nextPageToken string, err error)
}
