// Copyright 2020-2022 Buf Technologies, Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by protoc-gen-connect-go. DO NOT EDIT.
//
// Source: buf/alpha/registry/v1alpha1/recommendation.proto

package registryv1alpha1connect

import (
	context "context"
	errors "errors"
	v1alpha1 "github.com/bufbuild/buf/private/gen/proto/go/buf/alpha/registry/v1alpha1"
	connect_go "github.com/bufbuild/connect-go"
	http "net/http"
	strings "strings"
)

// This is a compile-time assertion to ensure that this generated file and the connect package are
// compatible. If you get a compiler error that this constant is not defined, this code was
// generated with a version of connect newer than the one compiled into your binary. You can fix the
// problem by either regenerating this code with an older version of connect or updating the connect
// version compiled into your binary.
const _ = connect_go.IsAtLeastVersion0_1_0

const (
	// RecommendationServiceName is the fully-qualified name of the RecommendationService service.
	RecommendationServiceName = "buf.alpha.registry.v1alpha1.RecommendationService"
)

// RecommendationServiceClient is a client for the buf.alpha.registry.v1alpha1.RecommendationService
// service.
type RecommendationServiceClient interface {
	// RecommendedRepositories returns a list of recommended repositories.
	RecommendedRepositories(context.Context, *connect_go.Request[v1alpha1.RecommendedRepositoriesRequest]) (*connect_go.Response[v1alpha1.RecommendedRepositoriesResponse], error)
	// RecommendedTemplates returns a list of recommended templates.
	RecommendedTemplates(context.Context, *connect_go.Request[v1alpha1.RecommendedTemplatesRequest]) (*connect_go.Response[v1alpha1.RecommendedTemplatesResponse], error)
	// ListRecommendedRepositories returns a list of recommended repositories that user have access to.
	ListRecommendedRepositories(context.Context, *connect_go.Request[v1alpha1.ListRecommendedRepositoriesRequest]) (*connect_go.Response[v1alpha1.ListRecommendedRepositoriesResponse], error)
	// ListRecommendedTemplates returns a list of recommended templates that user have access to.
	ListRecommendedTemplates(context.Context, *connect_go.Request[v1alpha1.ListRecommendedTemplatesRequest]) (*connect_go.Response[v1alpha1.ListRecommendedTemplatesResponse], error)
	// SetRecommendedRepositories set the list of repository recommendations in the server.
	SetRecommendedRepositories(context.Context, *connect_go.Request[v1alpha1.SetRecommendedRepositoriesRequest]) (*connect_go.Response[v1alpha1.SetRecommendedRepositoriesResponse], error)
	// SetRecommendedTemplates set the list of template recommendations in the server.
	SetRecommendedTemplates(context.Context, *connect_go.Request[v1alpha1.SetRecommendedTemplatesRequest]) (*connect_go.Response[v1alpha1.SetRecommendedTemplatesResponse], error)
}

// NewRecommendationServiceClient constructs a client for the
// buf.alpha.registry.v1alpha1.RecommendationService service. By default, it uses the Connect
// protocol with the binary Protobuf Codec, asks for gzipped responses, and sends uncompressed
// requests. To use the gRPC or gRPC-Web protocols, supply the connect.WithGRPC() or
// connect.WithGRPCWeb() options.
//
// The URL supplied here should be the base URL for the Connect or gRPC server (for example,
// http://api.acme.com or https://acme.com/grpc).
func NewRecommendationServiceClient(httpClient connect_go.HTTPClient, baseURL string, opts ...connect_go.ClientOption) RecommendationServiceClient {
	baseURL = strings.TrimRight(baseURL, "/")
	return &recommendationServiceClient{
		recommendedRepositories: connect_go.NewClient[v1alpha1.RecommendedRepositoriesRequest, v1alpha1.RecommendedRepositoriesResponse](
			httpClient,
			baseURL+"/buf.alpha.registry.v1alpha1.RecommendationService/RecommendedRepositories",
			opts...,
		),
		recommendedTemplates: connect_go.NewClient[v1alpha1.RecommendedTemplatesRequest, v1alpha1.RecommendedTemplatesResponse](
			httpClient,
			baseURL+"/buf.alpha.registry.v1alpha1.RecommendationService/RecommendedTemplates",
			opts...,
		),
		listRecommendedRepositories: connect_go.NewClient[v1alpha1.ListRecommendedRepositoriesRequest, v1alpha1.ListRecommendedRepositoriesResponse](
			httpClient,
			baseURL+"/buf.alpha.registry.v1alpha1.RecommendationService/ListRecommendedRepositories",
			opts...,
		),
		listRecommendedTemplates: connect_go.NewClient[v1alpha1.ListRecommendedTemplatesRequest, v1alpha1.ListRecommendedTemplatesResponse](
			httpClient,
			baseURL+"/buf.alpha.registry.v1alpha1.RecommendationService/ListRecommendedTemplates",
			opts...,
		),
		setRecommendedRepositories: connect_go.NewClient[v1alpha1.SetRecommendedRepositoriesRequest, v1alpha1.SetRecommendedRepositoriesResponse](
			httpClient,
			baseURL+"/buf.alpha.registry.v1alpha1.RecommendationService/SetRecommendedRepositories",
			opts...,
		),
		setRecommendedTemplates: connect_go.NewClient[v1alpha1.SetRecommendedTemplatesRequest, v1alpha1.SetRecommendedTemplatesResponse](
			httpClient,
			baseURL+"/buf.alpha.registry.v1alpha1.RecommendationService/SetRecommendedTemplates",
			opts...,
		),
	}
}

// recommendationServiceClient implements RecommendationServiceClient.
type recommendationServiceClient struct {
	recommendedRepositories     *connect_go.Client[v1alpha1.RecommendedRepositoriesRequest, v1alpha1.RecommendedRepositoriesResponse]
	recommendedTemplates        *connect_go.Client[v1alpha1.RecommendedTemplatesRequest, v1alpha1.RecommendedTemplatesResponse]
	listRecommendedRepositories *connect_go.Client[v1alpha1.ListRecommendedRepositoriesRequest, v1alpha1.ListRecommendedRepositoriesResponse]
	listRecommendedTemplates    *connect_go.Client[v1alpha1.ListRecommendedTemplatesRequest, v1alpha1.ListRecommendedTemplatesResponse]
	setRecommendedRepositories  *connect_go.Client[v1alpha1.SetRecommendedRepositoriesRequest, v1alpha1.SetRecommendedRepositoriesResponse]
	setRecommendedTemplates     *connect_go.Client[v1alpha1.SetRecommendedTemplatesRequest, v1alpha1.SetRecommendedTemplatesResponse]
}

// RecommendedRepositories calls
// buf.alpha.registry.v1alpha1.RecommendationService.RecommendedRepositories.
func (c *recommendationServiceClient) RecommendedRepositories(ctx context.Context, req *connect_go.Request[v1alpha1.RecommendedRepositoriesRequest]) (*connect_go.Response[v1alpha1.RecommendedRepositoriesResponse], error) {
	return c.recommendedRepositories.CallUnary(ctx, req)
}

// RecommendedTemplates calls
// buf.alpha.registry.v1alpha1.RecommendationService.RecommendedTemplates.
func (c *recommendationServiceClient) RecommendedTemplates(ctx context.Context, req *connect_go.Request[v1alpha1.RecommendedTemplatesRequest]) (*connect_go.Response[v1alpha1.RecommendedTemplatesResponse], error) {
	return c.recommendedTemplates.CallUnary(ctx, req)
}

// ListRecommendedRepositories calls
// buf.alpha.registry.v1alpha1.RecommendationService.ListRecommendedRepositories.
func (c *recommendationServiceClient) ListRecommendedRepositories(ctx context.Context, req *connect_go.Request[v1alpha1.ListRecommendedRepositoriesRequest]) (*connect_go.Response[v1alpha1.ListRecommendedRepositoriesResponse], error) {
	return c.listRecommendedRepositories.CallUnary(ctx, req)
}

// ListRecommendedTemplates calls
// buf.alpha.registry.v1alpha1.RecommendationService.ListRecommendedTemplates.
func (c *recommendationServiceClient) ListRecommendedTemplates(ctx context.Context, req *connect_go.Request[v1alpha1.ListRecommendedTemplatesRequest]) (*connect_go.Response[v1alpha1.ListRecommendedTemplatesResponse], error) {
	return c.listRecommendedTemplates.CallUnary(ctx, req)
}

// SetRecommendedRepositories calls
// buf.alpha.registry.v1alpha1.RecommendationService.SetRecommendedRepositories.
func (c *recommendationServiceClient) SetRecommendedRepositories(ctx context.Context, req *connect_go.Request[v1alpha1.SetRecommendedRepositoriesRequest]) (*connect_go.Response[v1alpha1.SetRecommendedRepositoriesResponse], error) {
	return c.setRecommendedRepositories.CallUnary(ctx, req)
}

// SetRecommendedTemplates calls
// buf.alpha.registry.v1alpha1.RecommendationService.SetRecommendedTemplates.
func (c *recommendationServiceClient) SetRecommendedTemplates(ctx context.Context, req *connect_go.Request[v1alpha1.SetRecommendedTemplatesRequest]) (*connect_go.Response[v1alpha1.SetRecommendedTemplatesResponse], error) {
	return c.setRecommendedTemplates.CallUnary(ctx, req)
}

// RecommendationServiceHandler is an implementation of the
// buf.alpha.registry.v1alpha1.RecommendationService service.
type RecommendationServiceHandler interface {
	// RecommendedRepositories returns a list of recommended repositories.
	RecommendedRepositories(context.Context, *connect_go.Request[v1alpha1.RecommendedRepositoriesRequest]) (*connect_go.Response[v1alpha1.RecommendedRepositoriesResponse], error)
	// RecommendedTemplates returns a list of recommended templates.
	RecommendedTemplates(context.Context, *connect_go.Request[v1alpha1.RecommendedTemplatesRequest]) (*connect_go.Response[v1alpha1.RecommendedTemplatesResponse], error)
	// ListRecommendedRepositories returns a list of recommended repositories that user have access to.
	ListRecommendedRepositories(context.Context, *connect_go.Request[v1alpha1.ListRecommendedRepositoriesRequest]) (*connect_go.Response[v1alpha1.ListRecommendedRepositoriesResponse], error)
	// ListRecommendedTemplates returns a list of recommended templates that user have access to.
	ListRecommendedTemplates(context.Context, *connect_go.Request[v1alpha1.ListRecommendedTemplatesRequest]) (*connect_go.Response[v1alpha1.ListRecommendedTemplatesResponse], error)
	// SetRecommendedRepositories set the list of repository recommendations in the server.
	SetRecommendedRepositories(context.Context, *connect_go.Request[v1alpha1.SetRecommendedRepositoriesRequest]) (*connect_go.Response[v1alpha1.SetRecommendedRepositoriesResponse], error)
	// SetRecommendedTemplates set the list of template recommendations in the server.
	SetRecommendedTemplates(context.Context, *connect_go.Request[v1alpha1.SetRecommendedTemplatesRequest]) (*connect_go.Response[v1alpha1.SetRecommendedTemplatesResponse], error)
}

// NewRecommendationServiceHandler builds an HTTP handler from the service implementation. It
// returns the path on which to mount the handler and the handler itself.
//
// By default, handlers support the Connect, gRPC, and gRPC-Web protocols with the binary Protobuf
// and JSON codecs. They also support gzip compression.
func NewRecommendationServiceHandler(svc RecommendationServiceHandler, opts ...connect_go.HandlerOption) (string, http.Handler) {
	mux := http.NewServeMux()
	mux.Handle("/buf.alpha.registry.v1alpha1.RecommendationService/RecommendedRepositories", connect_go.NewUnaryHandler(
		"/buf.alpha.registry.v1alpha1.RecommendationService/RecommendedRepositories",
		svc.RecommendedRepositories,
		opts...,
	))
	mux.Handle("/buf.alpha.registry.v1alpha1.RecommendationService/RecommendedTemplates", connect_go.NewUnaryHandler(
		"/buf.alpha.registry.v1alpha1.RecommendationService/RecommendedTemplates",
		svc.RecommendedTemplates,
		opts...,
	))
	mux.Handle("/buf.alpha.registry.v1alpha1.RecommendationService/ListRecommendedRepositories", connect_go.NewUnaryHandler(
		"/buf.alpha.registry.v1alpha1.RecommendationService/ListRecommendedRepositories",
		svc.ListRecommendedRepositories,
		opts...,
	))
	mux.Handle("/buf.alpha.registry.v1alpha1.RecommendationService/ListRecommendedTemplates", connect_go.NewUnaryHandler(
		"/buf.alpha.registry.v1alpha1.RecommendationService/ListRecommendedTemplates",
		svc.ListRecommendedTemplates,
		opts...,
	))
	mux.Handle("/buf.alpha.registry.v1alpha1.RecommendationService/SetRecommendedRepositories", connect_go.NewUnaryHandler(
		"/buf.alpha.registry.v1alpha1.RecommendationService/SetRecommendedRepositories",
		svc.SetRecommendedRepositories,
		opts...,
	))
	mux.Handle("/buf.alpha.registry.v1alpha1.RecommendationService/SetRecommendedTemplates", connect_go.NewUnaryHandler(
		"/buf.alpha.registry.v1alpha1.RecommendationService/SetRecommendedTemplates",
		svc.SetRecommendedTemplates,
		opts...,
	))
	return "/buf.alpha.registry.v1alpha1.RecommendationService/", mux
}

// UnimplementedRecommendationServiceHandler returns CodeUnimplemented from all methods.
type UnimplementedRecommendationServiceHandler struct{}

func (UnimplementedRecommendationServiceHandler) RecommendedRepositories(context.Context, *connect_go.Request[v1alpha1.RecommendedRepositoriesRequest]) (*connect_go.Response[v1alpha1.RecommendedRepositoriesResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.RecommendationService.RecommendedRepositories is not implemented"))
}

func (UnimplementedRecommendationServiceHandler) RecommendedTemplates(context.Context, *connect_go.Request[v1alpha1.RecommendedTemplatesRequest]) (*connect_go.Response[v1alpha1.RecommendedTemplatesResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.RecommendationService.RecommendedTemplates is not implemented"))
}

func (UnimplementedRecommendationServiceHandler) ListRecommendedRepositories(context.Context, *connect_go.Request[v1alpha1.ListRecommendedRepositoriesRequest]) (*connect_go.Response[v1alpha1.ListRecommendedRepositoriesResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.RecommendationService.ListRecommendedRepositories is not implemented"))
}

func (UnimplementedRecommendationServiceHandler) ListRecommendedTemplates(context.Context, *connect_go.Request[v1alpha1.ListRecommendedTemplatesRequest]) (*connect_go.Response[v1alpha1.ListRecommendedTemplatesResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.RecommendationService.ListRecommendedTemplates is not implemented"))
}

func (UnimplementedRecommendationServiceHandler) SetRecommendedRepositories(context.Context, *connect_go.Request[v1alpha1.SetRecommendedRepositoriesRequest]) (*connect_go.Response[v1alpha1.SetRecommendedRepositoriesResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.RecommendationService.SetRecommendedRepositories is not implemented"))
}

func (UnimplementedRecommendationServiceHandler) SetRecommendedTemplates(context.Context, *connect_go.Request[v1alpha1.SetRecommendedTemplatesRequest]) (*connect_go.Response[v1alpha1.SetRecommendedTemplatesResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.RecommendationService.SetRecommendedTemplates is not implemented"))
}
